unit dprTestpas;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, MMJRasConnect;

type
  TForm1 = class(TForm)
    lbEntries: TListBox;
    Button1: TButton;
    Label1: TLabel;
    lbConnected: TLabel;
    Label2: TLabel;
    lbStat: TLabel;
    Label3: TLabel;
    lbIsConnected: TLabel;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    lbNumbers: TListBox;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Label4: TLabel;
    lbCNumber: TLabel;
    Button11: TButton;
    Button12: TButton;
    mmjRas: TMMJRasConnect;
    procedure Button1Click(Sender: TObject);
    procedure mmjRasConnectionStatus(Sender: TObject; status: TCStatus);
    procedure mmjRasStatusChange(Sender: TObject; StatusChanged: Boolean);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
   // mmjRas: TMMJRasConnect;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
   lbEntries.Items:=mmjRas.AvailableEntries;
end;

procedure TForm1.mmjRasConnectionStatus(Sender: TObject; status: TCStatus);
var
   msg: string;
begin
//Custom event calling
   case Status of
      Connecting: msg:='Connecting';
      Connected:  msg:='Connected';
      Authenticate: msg:='Authenticating';
      Disconnected: msg:='Disconnected';
   end;
   ShowMessage(msg);
end;

procedure TForm1.mmjRasStatusChange(Sender: TObject;
  StatusChanged: Boolean);
begin
   lbStat.Caption:=mmjRas.Status;
   lbConnected.Caption:=mmjRas.ConnectedEntry;
   if mmjRas.IsConnected then lbIsConnected.Caption:='True'
   else lbIsConnected.Caption:='False';
   lbCNumber.Caption:=mmjRas.ConnectedNumber;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   if mmjRas.Language=English then begin
      mmjRas.Language:=Croatian;
      Exit;
   end;
   if mmjRas.Language = Croatian then begin
      mmjRas.Language:=English;
      Exit;
   end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
   ind:integer;
begin
   ind:=lbEntries.ItemIndex;
   mmjRas.DialEntryByInd(ind);
end;

procedure TForm1.Button3Click(Sender: TObject);
   var
   str:string;
   b:Boolean;
   i:integer;
begin
   b:=False;
   if LbEntries.Items.Count=0 then Exit;
   //Cheking if anything is selected
   for i:=1 to lbEntries.Items.Count-1 do begin
      if lbEntries.Selected[i] then b:=True;
   end;
   if not b then Exit;
   str:=lbEntries.Items[lbEntries.ItemIndex];
   mmjRas.DialEntryByStr(str);
end;

procedure TForm1.Button6Click(Sender: TObject);
var
   ind:integer;
begin
   ind:=lbEntries.ItemIndex;
   mmjRas.EditEntryByInd(ind);
end;

procedure TForm1.Button7Click(Sender: TObject);
   var
      str:string;
      i: integer;
      b:Boolean;
begin
   b:=False;
   if LbEntries.Items.Count=0 then Exit;
   //Cheking if anything is selected
   for i:=0 to lbEntries.Items.Count-1 do begin
      if lbEntries.Selected[i] then b:=True;
   end;
   if not b then Exit;
   str:=lbEntries.Items[lbEntries.ItemIndex];
   mmjRas.EditEntryByStr(str);
end;


procedure TForm1.Button8Click(Sender: TObject);
begin
   mmjRas.NewEntry;
   Button1.Click;
   Button5.Click;
end;

procedure TForm1.Button9Click(Sender: TObject);
var
   ind:integer;
begin
   ind:=lbEntries.ItemIndex;
   mmjRas.DeleteEntryByInd(ind);
      Button1.Click;
   Button5.Click;
end;

procedure TForm1.Button10Click(Sender: TObject);
   var
      str:string;
      i: integer;
      b:Boolean;
begin
   b:=False;
   if LbEntries.Items.Count=0 then Exit;
   //Cheking if anything is selected
   for i:=0 to lbEntries.Items.Count-1 do begin
      if lbEntries.Selected[i] then b:=True;
   end;
   if not b then Exit;
   str:=lbEntries.Items[lbEntries.ItemIndex];
   mmjRas.DeleteEntryByStr(str);
      Button1.Click;
   Button5.Click;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
   if lbNumbers.Items.Count > 0 then  lbNumbers.Clear;
   lbNumbers.Items:=mmjRas.AvailableNumbers;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
//   mmjRas:= TMMJRasConnect.Create(Self);
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
   mmjras.DoTimer:=not mmjRas.DoTimer;
   if mmjRas.DoTimer then Caption:='TimerON'
   else if not mmjRas.DoTimer then Caption:='TimerOFF';
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
   if mmjRas.IsConnected then lbIsConnected.Caption :='True';
   if not mmjRas.IsConnected then lbIsConnected.Caption :='False';
end;
procedure Delay(ms : longint);
var
   TheTime : LongInt;
begin
   TheTime := GetTickCount + ms;
   while GetTickCount < TheTime do
      Application.ProcessMessages;
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
   mmjRas.DoTimer:=True;
   Delay(1500);
   mmjRas.DoTimer:=False;
   if mmjRas.IsConnected then
      ShowMessage('Connected');
end;

end.
